CREATE TABLE loy_acrl_rule_int (
    LOY_ACRL_RULE_INT_ID      NUMBER(18, 0) ,
    PROGRAM_NAME              VARCHAR2(200) ,
    BATCH_ID                  NUMBER(18, 0) ,
    IMPORT_STATUS_CODE        VARCHAR2(120) ,
    INTERFACE_ROW_ID          NUMBER(18, 0) ,
    ACTION_CODE               VARCHAR2(120) ,
    INTERNAL_ACTION_CODE      VARCHAR2(120) ,
    INTERNAL_ACRL_RULE_OVN    NUMBER(9, 0)  ,
    REQUEST_ID                NUMBER(18, 0) ,
    CREATED_BY                VARCHAR2(256) ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CREATION_DATE             TIMESTAMP(6)  ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    LOY_ACRL_RULE_ID          NUMBER(18, 0) ,
    DESC_TXT                  VARCHAR2(1000),
    PROGRAM_ID                NUMBER(18, 0) ,
    NAME                      VARCHAR2(300) ,
    ACRL_RULE_ID              NUMBER(18, 0) ,
    ATTR_NAME_CODE            VARCHAR2(120) ,
    DUPLICATE_FLAG            VARCHAR2(4)   ,
    MANDATORY_FLAG            VARCHAR2(4)   ,
    LOY_ACRL_RULE_INT_ID      NUMBER(18, 0) ,
    PROGRAM_NAME              VARCHAR2(200) ,
    BATCH_ID                  NUMBER(18, 0) ,
    IMPORT_STATUS_CODE        VARCHAR2(120) ,
    INTERFACE_ROW_ID          NUMBER(18, 0) ,
    ACTION_CODE               VARCHAR2(120) ,
    INTERNAL_ACTION_CODE      VARCHAR2(120) ,
    INTERNAL_ACRL_RULE_OVN    NUMBER(9, 0)  ,
    REQUEST_ID                NUMBER(18, 0) ,
    CREATED_BY                VARCHAR2(256) ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CREATION_DATE             TIMESTAMP(6)  ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    LOY_ACRL_RULE_ID          NUMBER(18, 0) ,
    DESC_TXT                  VARCHAR2(1000),
    PROGRAM_ID                NUMBER(18, 0) ,
    NAME                      VARCHAR2(300) ,
    ACRL_RULE_ID              NUMBER(18, 0) ,
    ATTR_NAME_CODE            VARCHAR2(120) ,
    DUPLICATE_FLAG            VARCHAR2(4)   ,
    MANDATORY_FLAG            VARCHAR2(4)   ,
    CONSTRAINT pk_loy_acrl_rule_int PRIMARY KEY (BATCH_ID, INTERFACE_ROW_ID, BATCH_ID, INTERFACE_ROW_ID)
);
